document.addEventListener("DOMContentLoaded", function(event) {
    //var selectedText = window.getSelection().toString();
    //safari.extension.dispatchMessage("select", {"text" : selectedText});
});

safari.self.addEventListener("message", handleMessage);
    
function handleMessage(event) {
    //console.log(event.name);
    //console.log(event.message);

    var selectedText = window.getSelection().toString();
    safari.extension.dispatchMessage("select", {"text" : selectedText});
}

document.addEventListener("contextmenu", handleContextMenu, false);

function handleContextMenu(event) {
    var link = "";
    var page = document.URL;
    var selectedText = window.getSelection().toString();
    
    if (event.target !== event.currentTarget) {
        var tgt = event.target;
        if (tgt.hasAttribute('href')) {
            link = event.target.getAttribute('href');
        }
    }

    safari.extension.setContextMenuEventUserInfo(event, {"Page":page,"URL":link, "Text":selectedText});
}
